License Compliance in Embedded Linux with the Yocto Project (ELCE 2019)
=======================================================================

:date: 2020-07-31
:tags: yocto, linux, embedded-linux, conference-talks, license-compliance
:summary: I presented a talk on the topics of License Compliance and
    OpenEmbedded/Yocto Project at the Embedded Linux Conference Europe (ELCE)
    2019 in Lyon, France. I discussed a set of build system agnostic best
    practices for license compliance when working with Embedded Linux and
    then looked in detail at the license compliance tools provided by the
    Yocto Project. I highlighted ongoing and future work in these areas
    within Yocto Project. I finished up by briefly discussing the tools and
    benefits provided by other projects in this area.

Abstract
--------

If you distribute a product which runs an Embedded, Linux-based software
stack then you have obligations to fulfill under the GPL and other open
source licenses. Thankfully, the Yocto Project provides tooling to help you
achieve this.

Paul will present the current state of the license compliance tools in the
Yocto Project and show how they are used. Paul will also discuss best
practices, pitfalls to avoid, methods of integration with other license
compliance software such as Fossology and where to get further information on
these subjects. For those already familiar with these tools, this
presentation will point out recent improvements and suggest areas for future
development. A comparison with tools provided by other Embedded Linux build
systems will also be given so that our projects can learn from each other.
Focus will be given to how small teams can use these tools effectively,
however the content will also be relevant to larger organisations. No legal
advice will be given.

Video
-----

.. youtube:: 9wRn-9KhiEI

Slides
------

.. raw:: html

    <div style="position:relative; padding-bottom:65%; margin-bottom: 1.4em">
        <iframe style="width:100%; height:100%; position:absolute; left:0px; top:0px;"
            src="//www.slideshare.net/slideshow/embed_code/key/9SRDXX8uVUEd9"
            frameborder="0" marginwidth="0" marginheight="0" scrolling="no" allowfullscreen>
        </iframe>
    </div>
